use actix_web::{web, HttpResponse, Responder};
use chrono::NaiveDate;
use serde::Deserialize;
use sqlx::PgPool;

use crate::{
    models::{Role, User},
    utils::ApplicationError,
};

#[derive(Deserialize)]
struct ExportQuery {
    start: NaiveDate,
    end: NaiveDate,
    area: Option<i32>,
}

#[actix_web::get("/export/eventsdata")]
pub async fn get(
    pool: web::Data<PgPool>,
    user: web::ReqData<User>,
    query: web::Query<ExportQuery>,
) -> Result<impl Responder, ApplicationError> {
    if user.role != Role::Admin && user.role != Role::AreaManager {
        return Err(ApplicationError::Unauthorized);
    }

    Ok(HttpResponse::BadRequest().finish())
}
